Ubuntu

webcam support regression with 2.6.31-16.53-generic

Reported by Andres Monroy-Hernandez on 2009-12-13
36
This bug affects 7 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

My webcam used to work. It doesn't work anymore. I've tried cheese and gstreamer-properties. The LED indicator does turn on but then nothing happens. It just hangs. I am not sure how to check what kind of webcam hardware I have. I have a thinkpad x300 with a builtin webcam. The green LED of the webcam turns on when trying to use it from cheese or gstreamer-properties but I am not getting any video. Gstreamer-properties just keeps showing "Testing..." and nothing else happens.

$ lspci
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:19.0 Ethernet controller: Intel Corporation 82566MM Gigabit Network Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HBM (ICH8M-E) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
03:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)

$ lsusb
Bus 002 Device 004: ID 8087:0001
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 007 Device 002: ID 17ef:4807 Lenovo
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 002: ID 1199:0220 Sierra Wireless, Inc.
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 003: ID 0483:2016 SGS Thomson Microelectronics Fingerprint Reader
Bus 003 Device 002: ID 0a5c:2110 Broadcom Corp. Bluetooth Controller
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/dsp', '/dev/snd/controlC0', '/dev/snd/hwC0D0', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/seq', '/dev/snd/by-path', '/dev/snd/timer', '/dev/snd/controlC29', '/dev/sequencer2', '/dev/sequencer'] failed with exit code 1:
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfa220000 irq 17'
   Mixer name : 'Analog Devices AD1984A'
   Components : 'HDA:11d4194a,17aa20fb,00100200'
   Controls : 13
   Simple ctrls : 9
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 7THT16WW-1.01'
   Mixer name : 'ThinkPad EC 7THT16WW-1.01'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
DistroRelease: Ubuntu 10.04
LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Release Candidate i386 (20100419.1)
MachineType: LENOVO 64771ZU
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/casper/vmlinuz noprompt cdrom-detect/try-usb=true persistent file=/cdrom/preseed/hostname.seed boot=casper initrd=/casper/initrd.lz quiet splash -- maybe-ubiquity
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Regression: Yes
RelatedPackageVersions: linux-firmware 1.34
Reproducible: Yes
Tags: lucid regression-potential needs-upstream-testing
Uname: Linux 2.6.32-21-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 05/11/2009
dmi.bios.vendor: LENOVO
dmi.bios.version: 7TET36WW (1.10 )
dmi.board.name: 64771ZU
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7TET36WW(1.10):bd05/11/2009:svnLENOVO:pn64771ZU:pvrThinkPadX300:rvnLENOVO:rn64771ZU:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 64771ZU
dmi.product.version: ThinkPad X300
dmi.sys.vendor: LENOVO

Andy Whitcroft (apw) on 2009-12-15
tags: added: kernel-series-unknown

What's the meaning of kernel-series-unknown? Did I miss any info about the kernel?

Here's the output of uname -a:
Linux karmicx300 2.6.31-16-generic #53-Ubuntu SMP Tue Dec 8 04:01:29 UTC 2009 i686 GNU/Linux

Hi Andres,

Usually if this bug had been reported using 'ubuntu-bug linux' it would have been tagged Karmic. Otherwise it's a best effort to tag the bug for the release it was reported against. "kernel-series-unknown" just means our scripts were unable to determine the series. I'll change it to reflect "karmic". Just so we can collect some additional debug information, can you run the following command while runing 2.6.31-16.53:

apport-collect -p linux 496266

Can you comment the most recent kernel where this was not an issue? Just so we can narrow down the window where the regression may have been introduced. Attaching your dmest output for the working kernel might also be helpful. Thanks!

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: karmic
removed: kernel-series-unknown

AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: andresmh 2407 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfa220000 irq 31'
   Mixer name : 'Analog Devices AD1984A'
   Components : 'HDA:11d4194a,17aa20fb,00100200'
   Controls : 13
   Simple ctrls : 9
DistroRelease: Ubuntu 9.10
MachineType: LENOVO 64771ZU
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-16-generic root=UUID=be9de7f8-9eb1-46c4-a93a-3adfcca10946 ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-16-generic N/A
 linux-firmware 1.25
Uname: Linux 2.6.31-16-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
XsessionErrors:
 (gnome-settings-daemon:2375): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-panel:2465): Gdk-WARNING **: /build/buildd/gtk+2.0-2.18.3/gdk/x11/gdkdrawable-x11.c:952 drawable is not a pixmap or window
 (nautilus:2467): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:2533): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (Do:2492): Wnck-CRITICAL **: wnck_set_client_type got called multiple times.
dmi.bios.date: 09/01/2008
dmi.bios.vendor: LENOVO
dmi.bios.version: 7TET34WW (1.08 )
dmi.board.name: 64771ZU
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7TET34WW(1.08):bd09/01/2008:svnLENOVO:pn64771ZU:pvrThinkPadX300:rvnLENOVO:rn64771ZU:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 64771ZU
dmi.product.version: ThinkPad X300
dmi.sys.vendor: LENOVO

Changed in linux (Ubuntu):
status: Incomplete → New
tags: added: apport-collected

I was able to figure out in which kernel the webcam works. The output of uname is:
Linux karmicx300 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:04:26 UTC 2009 i686 GNU/Linux

The output of dmesg is:
[15502.412213] usb 2-5: device not accepting address 28, error -71
[15502.540142] usb 2-5: new high speed USB device using ehci_hcd and address 29
[15502.677889] usb 2-5: configuration #1 chosen from 1 choice
[15502.681182] uvcvideo: Found UVC 1.00 device <unnamed> (17ef:4807)
[15502.686327] input: UVC Camera (17ef:4807) as /devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/input/input34
[15860.579541] usb 2-5: USB disconnect, address 29
[15860.800367] hub 2-0:1.0: unable to enumerate USB device on port 5
[15861.064072] usb 2-5: new high speed USB device using ehci_hcd and address 31
[15861.131626] hub 2-0:1.0: unable to enumerate USB device on port 5
[15861.404080] usb 7-1: new full speed USB device using uhci_hcd and address 4
[15861.572095] usb 7-1: not running at top speed; connect to a high speed hub
[15861.593864] usb 7-1: configuration #1 chosen from 1 choice
[15861.608194] uvcvideo: Found UVC 1.00 device <unnamed> (17ef:4807)
[15861.620945] input: UVC Camera (17ef:4807) as /devices/pci0000:00/0000:00:1d.2/usb7/7-1/7-1:1.0/input/input35
[17369.873095] usb 5-2: new full speed USB device using uhci_hcd and address 2
[17370.067152] usb 5-2: configuration #1 chosen from 1 choice
[17370.124203] usbcore: registered new interface driver hiddev
[17370.136211] input: C-Media USB Headphone Set as /devices/pci0000:00/0000:00:1d.0/usb5/5-2/5-2:1.3/input/input36
[17370.136319] generic-usb 0003:0D8C:000C.0001: input,hidraw0: USB HID v1.00 Device [C-Media USB Headphone Set ] on usb-0000:00:1d.0-2/input3
[17370.136343] usbcore: registered new interface driver usbhid
[17370.136347] usbhid: v2.6:USB HID core driver
[17370.227201] usbcore: registered new interface driver snd-usb-audio
[17429.678091] uvcvideo: Failed to query (135) UVC control 2 (unit 2) : -71 (exp. 2).
[17429.689056] uvcvideo: Failed to set UVC probe control : -71 (exp. 26).
[17429.689799] uvcvideo: Failed to set UVC probe control : -71 (exp. 26).
[17429.691272] uvcvideo: Failed to set UVC probe control : -71 (exp. 26).
[17429.691796] uvcvideo: Failed to set UVC probe control : -71 (exp. 26).

Leann,

Please let me know if there is anything else I can do about this. It would be great if the importance of this bug was increased.

Thanks

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Triaged

I upgraded to 2.6.32-020632 and I still have the same problem.

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

I just posted more info of this bug on Lucid (see above) via apport-collect 496266

I am having the same problem in a Toshiba M305-S4820 laptop

Andres Monroy-Hernandez, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Triaged → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.